The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Need RRDTOOL but my phpinfo does not show it installed

Discussion in 'General Discussion' started by webguyz, Apr 17, 2014.

  1. webguyz

    webguyz Member

    Joined:
    Sep 13, 2011
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    DataCenter Provider
    Tried running:

    root@cp01 [~]# /scripts/rrdtoolinstall
    scripts/rrdtoolinstall is deprecated. RRDtool is automatically provided by cPanel and installed to prefix /usr/local/cpanel/3rdparty

    Don't see anything in WHM about this. Do I have to enable something to get RRDTOOL to show up in my environment?

    Thanks!
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,694
    Likes Received:
    654
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    It's installed by default and located here:

    Code:
    /usr/local/cpanel/3rdparty/bin/rrdtool
    However, you can install the rrdtool and rrdtool-devel packages through YUM and then install the PHP extension via:

    Code:
    pecl install rrd
    Thank you.
     
  3. webguyz

    webguyz Member

    Joined:
    Sep 13, 2011
    Messages:
    12
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    DataCenter Provider
    It appears my RRDTOOL is installed but there is a problem with it. This error is showing up in error_log every 5 minutes:

    19-Apr-2014 09:20:01 America/Chicago] PHP Warning: PHP Startup: rrdtool: Unable to initialize module
    Module compiled with module API=20090626
    PHP compiled with module API=20100525
    These options need to match
    in Unknown on line 0
    [19-Apr-2014 09:20:01 America/Chicago] PHP Warning: PHP Startup: rrdtool: Unable to initialize module
    Module compiled with module API=20090626
    PHP compiled with module API=20100525
    These options need to match
    in Unknown on line 0

    Anyone know how I can fix this?
    Thanks!
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,694
    Likes Received:
    654
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Could you elaborate on what method you used to install it?

    Thank you.
     
Loading...

Share This Page